@charset "UTF-8";

body::before {
  content: '';
  display: block;
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: min(80vh, 500px);
  background: var(--color-gradation-green);
}

.mainLayout {
  padding-block-start: 0;
}

#contents {
  margin-block-start: 0;
}

@media print,screen and (min-width: 1024px) {

  body::before {
    height: min(90vh,900px);
  }

}


/*-----------
 特別な見出し
-----------*/
/* お知らせ見出し */
.newsTopHeading h2 {
  margin-block-end: 0.25em;
}

.newsTopHeading .en {
  margin-block-end: 0.5em;
  color: var(--color-main);
  font-family: var(--en-font-family);
  font-weight: 700;
  text-transform: uppercase;
}

/* トップメインページ見出し */
.topHeading {
  text-align: center;
}
  
.topHeadingInner {
  position: relative;
}

.topHeadingInner::before {
  content: '';
  display: block;
  width: auto;
  height: 40px;
  margin-inline: auto;
  background: url("../images/placeholder/top_heading_logo.png") no-repeat center center / contain;
}

.event .topHeadingInner::before {
  content: '';
  display: block;
  width: auto;
  height: 40px;
  margin-inline: auto;
  background: url("../images/illust-event.png") no-repeat center center / contain;
}

.topHeading .ja {
  margin-block-start: 0.25em;
  margin-block-end: 0;
  text-align: center;
}

.topHeading .en {
  margin-block-end: 0;
  color: var(--color-main);
  font-family: var(--en-font-family);
  text-align: center;
  font-weight: 700;
  text-transform: uppercase;
}

.topHeading .subtext {
  display: flex;
  align-items: center;
  justify-content: center;
  gap: 0.5em;
  margin-block-start: 1em;
  font-weight: 700;
}

.topHeading .subtext::before,
.topHeading .subtext::after {
  content: '';
  display: block;
  width: 1em;
  height: 2px;
  background-color: var(--color-black);
}

/* 企業見出し */
.companyHeading {
  text-align: center;
}

.companyHeading .subtext {
  display: flex;
  align-items: center;
  justify-content: center;
  gap: 0.5em;
  margin-block-start: 1em;
  font-weight: 700;
}

.companyHeading .subtext::before,
.companyHeading .subtext::after {
  content: '';
  display: block;
  width: 1em;
  height: 2px;
  background-color: var(--color-black);
}

@media print,screen and (min-width: 1024px) {

  .topHeadingInner::before {
    height: 60px;
  }

}

/* シゴトピ！見出し */
.topicsPageHeading {
  position: relative;
  background: transparent;
}

.topicsPageHeading::after {
  content: '';
  display: block;
  position: absolute;
  bottom: 0;
  right: 0;
  width: 35%;
  height: auto;
  aspect-ratio: 80 / 87;
  background: url("../images/illust-miyagi-shape.png") no-repeat center/ contain;
}

.topicsPageHeadingInner {
  background: transparent;
}

@media print,screen and (min-width: 1024px) {

  /* シゴトピ！見出し */
  .topicsPageHeading {
    padding-block: 1rem 2.5rem;
  }

  .topicsPageHeading::after {
    width: 28%;
  }

}


/*-----------
 header
-----------*/
.headerName .scrollNone {
  display: none;
  width: min(65%, 200px);
  margin-inline: auto;
  margin-block-start: 0;
  margin-block-end: 0;
  transition: var(--transition-default);
}

@media print,screen and (min-width: 1024px) {

  .headerInner {
    height: 85px;
  }

  .headerName {
    width: min(25%, 320px);
    padding-inline-start: 0;
  }

  .headerName .scrollNone {
    display: block;
  }

  .headerName .scrollOn {
    max-height: 0;
    padding-inline-start: 2.5rem;
    margin-block-start: 0;
    margin-block-end: 0;
    opacity: 0;
    visibility: hidden;
  }

  /* スクロールしたら */
  .is-scrolled .headerName .scrollNone {
    max-height: 0;
    margin-block-end: 0;
    opacity: 0;
    visibility: hidden;
  }

  .is-scrolled .headerName .scrollOn {
    max-height: fit-content;
    opacity: 1;
    visibility: visible;
  }
}


/*-----------
 sideber
-----------*/
@media print,screen and (min-width: 1024px) {

  .sideber {
    top: 250px;
  }

}

@media print,screen and (min-width: 1100px) {

  .sideber {
    top: 260px;
  }

}

@media print,screen and (min-width: 1200px) {

  .sideber {
    top: 280px;
  }

}


/*-----------
 block： メインスライダー
-----------*/
.mv {
  position: relative;
  width: var(--contents-width);
  margin-block-end: 80px;
}

.mv .splide__track {
  overflow: visible;
}

.mv .splide__slide {
  position: relative;
  border-radius: 40px;
  overflow: hidden;
}

.mvText {
  position: absolute;
  left: 10px;
  bottom: 10px;
}

.mvHeading {
  display: flex;
  flex-direction: column;
  gap: 0.5em;
  margin-block-end: 0;
  font-size: clamp(1rem, 0.639rem + 1.48vw, 1.75rem);
  /* 16-28px */
}

.mvHeading span {
  display: block;
  width: fit-content;
  background-color: var(--color-white);
  padding-block: 0.5em;
  padding-inline: 0.5em;
  border-radius: 10px;
}

.mv a {
  display: block;
}

.mv img {
  width: 100%;
  height: 100%;
  object-fit: cover;
  aspect-ratio: 3 / 2;
}

.mv .splide__other {
  position: absolute;
  left: 0;
  right: 0;
  bottom: -55px;
  margin: auto;
  margin-block-start: 0;
}

.mv .splide__arrows {
  position: absolute;
  bottom: -40px;
  left: 0;
  right: 0;
  margin: auto;
  width: min(90%, 400px);
}

@media print,screen and (min-width: 640px) {

  .mvText {
    bottom: 40px;
  }

}

@media print,screen and (min-width: 1024px) {

  .mv {
    margin-block-start: 20px;
    margin-block-end: 140px;
  }

  .mv .splide__slide {
    border-radius: 40px;
  }

  .mv img {
    aspect-ratio: 2 / 1;
  }
  
  .mvHeading span {
    padding-block: 0.4em;
    padding-inline: 1em;
  }

}

@media print,screen and (min-width: 1540px) {

  .mvText {
    left: 0;
    bottom: 60px;
  }

}


/*-----------
 block： バナー
-----------*/
.bannerInner {
  overflow-x: auto;
}

.bannerList {
  width: max(100%, 640px);
  margin-block-end: 1rem;
}

.banner a {
  display: block;
  border-radius: 10px;
  overflow: hidden;
}

.banner a img {
  width: 100%;
  height: 100%;
  object-fit: cover;
  aspect-ratio: 2 / 1;
}

.banner ::-webkit-scrollbar {
  height: 10px;
  margin-block-start: 0.5rem;
}

.banner ::-webkit-scrollbar-track {
  background-color: var(--color-lt-gray-2);
  border-radius: 5px;
}

.banner ::-webkit-scrollbar-thumb {
  background-color: var(--color-m-gray);
  border-radius: 5px;
}


/*-----------
 block： 企業情報
-----------*/
.company {
  width: 100%;
  padding-block: 0 0.5rem;
  background: var(--color-gradation-green);
  border-radius: 20px;
}

.companyInner {
  position: relative;
  top: -1.75rem;
}

.company .splide__arrows {
  position: relative;
  top: -1em;
  display: flex;
  justify-content: space-between;
  align-items: center;
  width: min(90%, 400px);
  margin-inline: auto;
}

.company .splide__list {
  gap: 0;
}

@media print,screen and (min-width: 1024px) {

  .company {
    padding-block: 0 2rem;
    border-radius: 40px;
  }

}


/*-----------
 スライダー： 共通
-----------*/
.splide__track--nav>.splide__list>.splide__slide.is-active {
  border: 2px solid var(--color-gray);
}

.splide__other {
  display: flex;
  gap: 1rem;
  align-items: center;
  justify-content: center;
  margin-block-start: 2.5rem;
}

.splide__toggle {
  width: 30px;
  height: 30px;
  display: flex;
  align-items: center;
  padding: 8px;
  background-color: var(--color-main);
  border-radius: 50%;
  border: none;
}

.splide__toggle__pause, .splide__toggle__play {
  width: 100%;
}

.splide__arrow {
  top: 0;
  width: 3em;
  height: 3em;
  background: var(--color-white);
  border: 1px solid var(--color-black);
  opacity: .9;
}

.splide__arrow svg {
  width: 1em;
  height: 1em;
  fill: var(--color-black);
}

.splide__arrow--prev {
  left: 0;
}

.splide__arrow--next {
  right: 0;
}

.splide__toggle.is-active .splide__toggle__pause {
  overflow: visible;
}

@media print,screen and (min-width: 1024px) {

  .splide__other {
    margin-block-start: 3.75rem;
  }

}